Hello all,

RubyGems 0.7.0 is now available at: http://rubyforge.org/frs/?group_id=126

There has been a lot of work in RubyGems in the past month.  Here is
what most users will notice:

* The command structure for the gem command has been reorganized so
   that there is stronger distinction between commands and options.
   The result is a very CVS-like command structure.  For example, to
   install a gem you now say:

      cvs install GEMNAME

   See http://rubygems.rubyforge.org/wiki/wiki.pl?GemReference for more
   details.

* The built-in help for the gem command has been extensively updated.
   A simple "gem help" will tell you the basics.  In particular, the
   "gem help examples" command should prove quite useful.

* The gem command now supports a local configuration file ".gemrc".
   See http://rubygems.rubyforge.org/wiki/wiki.pl?ConfigurationFile for
   details.

* Only the libraries needed to actually implement the require_gem
   command are loaded when using 'require "rubygems"'.  Any code that
   does further manipulation of a gem must execute the Gem.manage_gems
   command.

   NOTE: This last point is important if you have made your gemspec
         files executable to build the gem.  You must add
         "Gem.manage_gems" to gemspec files.  If you use the
         recommended "gem build" command to build your gem files, then
         you don't have to worry about this.

In addition, the following changes are of interest to anyone writing
RubyGems add-ons:

* The gem library now uses Gem::ConsoleUI to communicate with the
   user.  This will make it easier for GUI front-ends to use the Gem
   library by installing their own UI object.

* Internal error handling has been made more consistent.

A lot of work has been put into bringing the documentation up to date
with the current code base.  You will find RubyGems documentation at
http://rubygems.rubyforge.org.  Please take some time to review the
docs and feedback is always encouraged.

Thanks,
Jim Weirich
for the RubyGems Development Team

What is RubyGems?
-----------------
RubyGems (http://rubygems.rubyforge.org) is an advanced package
manager for Ruby libraries and applications, similar in many ways to
the Debian apt system and to Perl's CPAN module.  It expands on these
systems in that it manages library versions and allows you to maintain
multiple versions of the same library (with automated dependency
resolution).

-- 
-- Jim Weirich    jim / weirichhouse.org     http://onestepback.org
-----------------------------------------------------------------
"Beware of bugs in the above code; I have only proved it correct,
not tried it." -- Donald Knuth (in a memo to Peter van Emde Boas)